Bug 2001 - [UPDATE REQUEST] nvidia-current 319.17
: [UPDATE REQUEST] nvidia-current 319.17
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-11 09:34 MSD by Aleksandr Kazantcev
Modified: 2013-05-22 14:16 MSD (History)
4 users (show)

See Also:
RPM Package: nvidia-current-319.17
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
report.odt (456.94 KB, application/vnd.oasis.opendocument.text)
2013-05-21 14:21 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-05-11 09:34:08 MSD
New version certified driver
Comment 1 Aleksandr Kazantcev 2013-05-11 09:38:28 MSD
https://abf.rosalinux.ru/build_lists/1086398
https://abf.rosalinux.ru/build_lists/1086397

Advisory: This new version of certified driver is a new of long-lived support branch (change 310.x) and first with new architecture of nvidia package. There ara common features and bugfixes:

- initial support for Optimus-like functionality, initial support for RandR 1.4, improved EFI support, new hardware support, performance fixes, and a whole lot of other work. 
- new hardware support for this driver is adding in the GeForce GTX 650 Ti BOOST, GT 720M, GT 735M, GT 740M, GT 745M, and GT 750M. 
- various bug-fixes, updates to NVIDIA Settings, a security fix, a nvidia-persistenced daemon for improving the driver's start-up time, and a ton of other features.
Comment 2 Aleksandr Kazantcev 2013-05-11 09:39:28 MSD
Please strongly test update from 310.19 to 319.17! We has some errors with 313.26 and need quickly replace it.

Also new Steam need this driver too!
Comment 3 Vladimir Potapov 2013-05-15 10:23:08 MSD
The package route to extended testing 13.05
Comment 4 Alexander Petryakov 2013-05-16 10:38:00 MSD
Same error:
NVRM: API mismatch: the client has the version 319.17, but
NVRM: this kernel module has the version 310.19.  Please
NVRM: make sure that this kernel module and all NVIDIA driver
NVRM: components have the same version.
Comment 5 Alexander Burmashev 2013-05-16 12:16:51 MSD
Can you paste the driver install/update log ?
Comment 7 Postnikov Dmitry 2013-05-19 00:52:51 MSD
(In reply to comment #6)
> Please test nvidia-current-319.17-5 from my private repo:
> 
> http://abf-downloads.rosalinux.ru/akdengi_personal/repository/rosa2012.1/
> i586/nvidia/release/
> 
> http://abf-downloads.rosalinux.ru/akdengi_personal/repository/rosa2012.1/
> x86_64/nvidia/release/

Took the job. Will test on KDE 4.10.3+systemd-194-17.
Comment 8 Postnikov Dmitry 2013-05-21 11:36:32 MSD
What check the kernel driver? On old kernel 3.6.10 or 3.8.12?
Comment 9 Aleksandr Kazantcev 2013-05-21 12:10:46 MSD
If we don't push 3.8.12 before aprove - check in both please.
Comment 10 Postnikov Dmitry 2013-05-21 14:21:19 MSD
Created attachment 1392 [details]
report.odt

***********************
Extended testing report
***********************
Comment 11 Vladimir Potapov 2013-05-21 14:29:55 MSD
(In reply to comment #10)
> Created attachment 1392 [details]
> report.odt
> 
> ***********************
> Extended testing report
> ***********************

x586?
Comment 12 Postnikov Dmitry 2013-05-21 14:33:10 MSD
(In reply to comment #11)
> (In reply to comment #10)
> > Created attachment 1392 [details]
> > report.odt
> > 
> > ***********************
> > Extended testing report
> > ***********************
> 
> x586?

It is 64 bit. 32 bit later
Comment 13 Aleksandr Kazantcev 2013-05-21 15:00:46 MSD
Pleas ask testers about output

cat /etc/sysconfig/system | grep dkms
Comment 14 Postnikov Dmitry 2013-05-21 15:07:08 MSD
(In reply to comment #13)
> Pleas ask testers about output
> 
> cat /etc/sysconfig/system | grep dkms

Nothing displays. Tried so cat /etc/sysconfig/system | grep -i dkms
also nothing displays.
Comment 15 Postnikov Dmitry 2013-05-21 19:15:05 MSD
(In reply to comment #10)
> Created attachment 1392 [details]
> report.odt
> 
> ***********************
> Extended testing report
> ***********************

***********************
Extended testing report 32bit
***********************

Everything is the same 64 bit version. Without any changes, all identical.
Comment 16 Vladimir Potapov 2013-05-22 05:22:55 MSD
x11-driver-video-nvidia-current-319.17-3-rosa2012.1
********************** Advisory ***********************
This new version of certified driver is a new of long-lived support branch (change 310.x) and first with new architecture of nvidia package
********************* Changelist **********************
- initial support for Optimus-like functionality, initial support for RandR 1.4, improved EFI support, new hardware support, performance fixes, and a whole lot of other work. 
- new hardware support for this driver is adding in the GeForce GTX 650 Ti BOOST, GT 720M, GT 735M, GT 740M, GT 745M, and GT 750M. 
- various bug-fixes, updates to NVIDIA Settings, a security fix, a nvidia-persistenced daemon for improving the driver's start-up time, and a ton of other features.
**********************************************************
QA Verified
Comment 17 Alexander Burmashev 2013-05-22 11:25:37 MSD
What buildlists should be published ? From the second comment ?
http://bugs.rosalinux.ru/show_bug.cgi?id=2001#c1
Comment 19 Aleksandr Kazantcev 2013-05-22 14:06:11 MSD
Right containers links

https://abf.rosalinux.ru/build_lists/1107982
https://abf.rosalinux.ru/build_lists/1107983